name: containers
version: 0.5.7.1
id: containers-0.5.7.1
key: containers-0.5.7.1
license: BSD3
maintainer: fox@ucw.cz
synopsis: Assorted concrete container types
description:
    This package contains efficient general-purpose implementations
    of various basic immutable container types.  The declared cost of
    each operation is either worst-case or amortized, but remains
    valid even if structures are shared.
category: Data Structures
exposed: True
exposed-modules:
    Data.IntMap Data.IntMap.Lazy Data.IntMap.Strict Data.IntSet
    Data.Map Data.Map.Lazy Data.Map.Strict Data.Set Data.Graph
    Data.Sequence Data.Tree
hidden-modules: Data.IntMap.Base Data.IntSet.Base Data.Map.Base
                Data.Set.Base Data.Utils.BitUtil Data.Utils.StrictFold
                Data.Utils.StrictPair
abi: 8be095e0f1c473023dbaa886c1d6c53f
trusted: False
import-dirs: /opt/ghc-8.0.1/lib/ghc-8.0.1/containers-0.5.7.1
library-dirs: /opt/ghc-8.0.1/lib/ghc-8.0.1/containers-0.5.7.1
data-dir: /opt/ghc-8.0.1/share/x86_64-linux-ghc-8.0.1/containers-0.5.7.1
hs-libraries: HScontainers-0.5.7.1
depends:
    array-0.5.1.1 base-4.9.0.0 deepseq-1.4.2.0 ghc-prim-0.5.0.0
haddock-interfaces: /opt/ghc-8.0.1/share/doc/ghc-8.0.1/html/libraries/containers-0.5.7.1/containers.haddock
haddock-html: /opt/ghc-8.0.1/share/doc/ghc-8.0.1/html/libraries/containers-0.5.7.1
